%global gem_name hipchat

Name: rubygem-%{gem_name}
Version: 0.12.0
Release: 2%{?dist}
Summary: Ruby library to interact with HipChat
Group: Development/Languages
License: MIT
URL: https://github.com/hipchat/hipchat-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(httparty)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(httparty)
BuildRequires: rubygem(rr)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(webmock)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby library to interact with HipChat


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# remove unecessary gemspec
pushd .%{gem_instdir}
  rm %{gem_name}.gemspec
popd

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  rspec -Ilib spec
popd


%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.textile
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/spec


%changelog
* Mon Nov 04 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.12.0-2
- Exclude Gemfile, Rakefile, and tests from binary package
- Move README to main package

* Thu Oct 03 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.12.0-1
- Initial package
